<?php

/**
 * Contrexx
 *
 * @link      http://www.contrexx.com
 * @copyright Comvation AG 2007-2014
 * @version   Contrexx 4.0
 * 
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Contrexx" is a registered trademark of Comvation AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */

function _updateBackendAreas()
{
	global $objDatabase, $objUpdate, $_CONFIG;

	$arrBackendAreas = array(
		array(
			'area_id'			=> 1,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CONTENT_MANAGEMENT',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 2,
			'access_id'			=> 1
		),
		array(
			'area_id'			=> 2,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MODULE',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 8,
			'access_id'			=> 2
		),
		array(
			'area_id'			=> 3,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_ADMINISTRATION',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 11,
			'access_id'			=> 3
		),
		array(
			'area_id'			=> 203,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_NEWS_MANAGER',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 4,
			'order_id'			=> 3,
			'access_id'			=> 178
		),
		array(
			'area_id'			=> 8,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_ECOMMERCE',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 5,
			'access_id'			=> 4
		),
		array(
			'area_id'			=> 15,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_MEDIA',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 4,
			'access_id'			=> 162
		),
		array(
			'area_id'			=> 28,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_STATS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 9,
			'access_id'			=> 163
		),
		array(
			'area_id'			=> 29,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_EMAIL_MARKETING',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 7,
			'access_id'			=> 152
		),
		array(
			'area_id'			=> 188,
			'parent_area_id'	=> 0,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'Nettools',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=nettools',
			'target'			=> '_self',
			'module_id'			=> 32,
			'order_id'			=> 0,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 177,
			'parent_area_id'	=> 0,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'Json Adapter',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=jsondata',
			'target'			=> '_self',
			'module_id'			=> 63,
			'order_id'			=> 0,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 178,
			'parent_area_id'	=> 0,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'File Browser',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=fileBrowser',
			'target'			=> '_self',
			'module_id'			=> 26,
			'order_id'			=> 0,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 189,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CRM_MODULE_DESCRIPTION',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 6,
			'access_id'			=> 556
		),
		array(
			'area_id'			=> 180,
			'parent_area_id'	=> 0,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_SEARCH',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=search',
			'target'			=> '_self',
			'module_id'			=> 5,
			'order_id'			=> 0,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 181,
			'parent_area_id'	=> 0,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_UPLOAD',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=upload',
			'target'			=> '_self',
			'module_id'			=> 52,
			'order_id'			=> 0,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 183,
			'parent_area_id'	=> 0,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_LOGOUT',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=logout',
			'target'			=> '_self',
			'module_id'			=> 67,
			'order_id'			=> 0,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 184,
			'parent_area_id'	=> 0,
			'type'				=> 'group',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_HOME',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 1,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 5,
			'parent_area_id'	=> 1,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_NEW_PAGE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=content&amp;act=new',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 1,
			'access_id'			=> 5
		),
		array(
			'area_id'			=> 6,
			'parent_area_id'	=> 1,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CONTENT_MANAGER',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=content',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 2,
			'access_id'			=> 6
		),
		array(
			'area_id'			=> 75,
			'parent_area_id'	=> 1,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CONTENT_HISTORY',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=workflow',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 3,
			'access_id'			=> 75
		),
		array(
			'area_id'			=> 76,
			'parent_area_id'	=> 1,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOCK_SYSTEM',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=block',
			'target'			=> '_self',
			'module_id'			=> 7,
			'order_id'			=> 6,
			'access_id'			=> 76
		),
		array(
			'area_id'			=> 90,
			'parent_area_id'	=> 1,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CONTACTS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=contact',
			'target'			=> '_self',
			'module_id'			=> 6,
			'order_id'			=> 4,
			'access_id'			=> 84
		),
		array(
			'area_id'			=> 9,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_GUESTBOOK',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=guestbook',
			'target'			=> '_self',
			'module_id'			=> 10,
			'order_id'			=> 0,
			'access_id'			=> 9
		),
		array(
			'area_id'			=> 11,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DOC_SYS_MANAGER',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=docsys',
			'target'			=> '_self',
			'module_id'			=> 19,
			'order_id'			=> 0,
			'access_id'			=> 11
		),
		array(
			'area_id'			=> 12,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_THUMBNAIL_GALLERY',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=gallery',
			'target'			=> '_self',
			'module_id'			=> 3,
			'order_id'			=> 0,
			'access_id'			=> 12
		),
		array(
			'area_id'			=> 14,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_VOTING',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=voting',
			'target'			=> '_self',
			'module_id'			=> 17,
			'order_id'			=> 0,
			'access_id'			=> 14
		),
		array(
			'area_id'			=> 16,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CALENDAR',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=calendar',
			'target'			=> '_self',
			'module_id'			=> 21,
			'order_id'			=> 0,
			'access_id'			=> 16
		),
		array(
			'area_id'			=> 27,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_NEWS_SYNDICATION',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=feed',
			'target'			=> '_self',
			'module_id'			=> 22,
			'order_id'			=> 0,
			'access_id'			=> 27
		),
		array(
			'area_id'			=> 59,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_LINKS_MODULE_DESCRIPTION',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=directory',
			'target'			=> '_self',
			'module_id'			=> 12,
			'order_id'			=> 0,
			'access_id'			=> 59
		),
		array(
			'area_id'			=> 64,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_RECOMMEND',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=recommend',
			'target'			=> '_self',
			'module_id'			=> 27,
			'order_id'			=> 0,
			'access_id'			=> 64
		),
		array(
			'area_id'			=> 82,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_LIVECAM',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=livecam',
			'target'			=> '_self',
			'module_id'			=> 30,
			'order_id'			=> 0,
			'access_id'			=> 82
		),
		array(
			'area_id'			=> 89,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MEMBERDIR',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=memberdir',
			'target'			=> '_self',
			'module_id'			=> 31,
			'order_id'			=> 0,
			'access_id'			=> 83
		),
		array(
			'area_id'			=> 93,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_PODCAST',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=podcast',
			'target'			=> '_self',
			'module_id'			=> 35,
			'order_id'			=> 0,
			'access_id'			=> 87
		),
		array(
			'area_id'			=> 98,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MARKET_MODULE_DESCRIPTION',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=market',
			'target'			=> '_self',
			'module_id'			=> 33,
			'order_id'			=> 0,
			'access_id'			=> 98
		),
		array(
			'area_id'			=> 106,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_FORUM',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=forum',
			'target'			=> '_self',
			'module_id'			=> 20,
			'order_id'			=> 0,
			'access_id'			=> 106
		),
		array(
			'area_id'			=> 109,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_EGOVERNMENT',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=egov',
			'target'			=> '_self',
			'module_id'			=> 38,
			'order_id'			=> 0,
			'access_id'			=> 109
		),
		array(
			'area_id'			=> 128,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DATA_MODULE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=data',
			'target'			=> '_self',
			'module_id'			=> 48,
			'order_id'			=> 0,
			'access_id'			=> 146
		),
		array(
			'area_id'			=> 130,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_ECARD',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=ecard',
			'target'			=> '_self',
			'module_id'			=> 49,
			'order_id'			=> 0,
			'access_id'			=> 151
		),
		array(
			'area_id'			=> 134,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_U2U_MODULE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=u2u',
			'target'			=> '_self',
			'module_id'			=> 54,
			'order_id'			=> 0,
			'access_id'			=> 149
		),
		array(
			'area_id'			=> 135,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_KNOWLEDGE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=knowledge',
			'target'			=> '_self',
			'module_id'			=> 56,
			'order_id'			=> 0,
			'access_id'			=> 129
		),
		array(
			'area_id'			=> 141,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_JOBS_MODULE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=jobs',
			'target'			=> '_self',
			'module_id'			=> 57,
			'order_id'			=> 0,
			'access_id'			=> 148
		),
		array(
			'area_id'			=> 153,
			'parent_area_id'	=> 2,
			'type'				=> 'navigation',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MEDIADIR_MODULE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=mediadir',
			'target'			=> '_self',
			'module_id'			=> 60,
			'order_id'			=> 0,
			'access_id'			=> 153
		),
		array(
			'area_id'			=> 163,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_SYSTEM_LOGS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=log',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 10,
			'access_id'			=> 55
		),
		array(
			'area_id'			=> 17,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_SYSTEM_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=settings',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 1,
			'access_id'			=> 17
		),
		array(
			'area_id'			=> 18,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_USER_ADMINISTRATION',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=access',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 3,
			'access_id'			=> 18
		),
		array(
			'area_id'			=> 20,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DATABASE_MANAGER',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=dbm',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 8,
			'access_id'			=> 20
		),
		array(
			'area_id'			=> 21,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DESIGN_MANAGEMENT',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=skins',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 4,
			'access_id'			=> 21
		),
		array(
			'area_id'			=> 22,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_LANGUAGE_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=language',
			'target'			=> '_self',
			'module_id'			=> 64,
			'order_id'			=> 5,
			'access_id'			=> 22
		),
		array(
			'area_id'			=> 23,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MODULE_MANAGER',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=modulemanager',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 6,
			'access_id'			=> 23
		),
		array(
			'area_id'			=> 24,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_SERVER_INFO',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=server',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 9,
			'access_id'			=> 24
		),
		array(
			'area_id'			=> 110,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_ALIAS_ADMINISTRATION',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=alias',
			'target'			=> '_self',
			'module_id'			=> 41,
			'order_id'			=> 7,
			'access_id'			=> 115
		),
		array(
			'area_id'			=> 182,
			'parent_area_id'	=> 3,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_LICENSE',
			'is_active'			=> 0,
			'uri'				=> 'index.php?cmd=license',
			'target'			=> '_self',
			'module_id'			=> 66,
			'order_id'			=> 2,
			'access_id'			=> 177
		),
		array(
			'area_id'			=> 127,
			'parent_area_id'	=> 5,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_NEW_PAGE_ON_FIRST_LEVEL',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 1,
			'access_id'			=> 127
		),
		array(
			'area_id'			=> 26,
			'parent_area_id'	=> 6,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DELETE_PAGES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 26
		),
		array(
			'area_id'			=> 35,
			'parent_area_id'	=> 6,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_EDIT_PAGES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 35
		),
		array(
			'area_id'			=> 36,
			'parent_area_id'	=> 6,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_ACCESS_CONTROL',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 36
		),
		array(
			'area_id'			=> 53,
			'parent_area_id'	=> 6,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_COPY_DELETE_SITES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 53
		),
		array(
			'area_id'			=> 161,
			'parent_area_id'	=> 6,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MOVE_NODE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=content',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 8,
			'access_id'			=> 160
		),
		array(
			'area_id'			=> 38,
			'parent_area_id'	=> 7,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MODIFY_MEDIA_FILES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 38
		),
		array(
			'area_id'			=> 39,
			'parent_area_id'	=> 7,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_UPLOAD_MEDIA_FILES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 39
		),
		array(
			'area_id'			=> 13,
			'parent_area_id'	=> 8,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_SHOP',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=shop',
			'target'			=> '_self',
			'module_id'			=> 16,
			'order_id'			=> 1,
			'access_id'			=> 13
		),
		array(
			'area_id'			=> 162,
			'parent_area_id'	=> 8,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CHECKOUT_MODULE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=checkout',
			'target'			=> '_self',
			'module_id'			=> 62,
			'order_id'			=> 2,
			'access_id'			=> 161
		),
		array(
			'area_id'			=> 152,
			'parent_area_id'	=> 10,
			'type'				=> 'function',
			'scope'				=> 'frontend',
			'area_name'			=> 'TXT_SUBMIT_NEWS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 8,
			'order_id'			=> 0,
			'access_id'			=> 61
		),
		array(
			'area_id'			=> 65,
			'parent_area_id'	=> 12,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_GALLERY_MENU_OVERVIEW',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 3,
			'order_id'			=> 1,
			'access_id'			=> 65
		),
		array(
			'area_id'			=> 66,
			'parent_area_id'	=> 12,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_GALLERY_MENU_NEW_CATEGORY',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 3,
			'order_id'			=> 2,
			'access_id'			=> 66
		),
		array(
			'area_id'			=> 67,
			'parent_area_id'	=> 12,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_GALLERY_MENU_UPLOAD',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 3,
			'order_id'			=> 3,
			'access_id'			=> 67
		),
		array(
			'area_id'			=> 68,
			'parent_area_id'	=> 12,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_GALLERY_MENU_IMPORT',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 3,
			'order_id'			=> 4,
			'access_id'			=> 68
		),
		array(
			'area_id'			=> 69,
			'parent_area_id'	=> 12,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_GALLERY_MENU_VALIDATE',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 3,
			'order_id'			=> 5,
			'access_id'			=> 69
		),
		array(
			'area_id'			=> 70,
			'parent_area_id'	=> 12,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_GALLERY_MENU_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 3,
			'order_id'			=> 6,
			'access_id'			=> 70
		),
		array(
			'area_id'			=> 7,
			'parent_area_id'	=> 15,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MEDIA_MANAGER',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=media&amp;archive=archive1',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 2,
			'access_id'			=> 7
		),
		array(
			'area_id'			=> 32,
			'parent_area_id'	=> 15,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_IMAGE_ADMINISTRATION',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=media&amp;archive=content',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 1,
			'access_id'			=> 32
		),
		array(
			'area_id'			=> 132,
			'parent_area_id'	=> 15,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DOWNLOADS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=downloads',
			'target'			=> '_self',
			'module_id'			=> 53,
			'order_id'			=> 4,
			'access_id'			=> 141
		),
		array(
			'area_id'			=> 187,
			'parent_area_id'	=> 15,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_FILESHARING_MODULE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=media&amp;archive=filesharing',
			'target'			=> '_self',
			'module_id'			=> 68,
			'order_id'			=> 3,
			'access_id'			=> 8
		),
		array(
			'area_id'			=> 144,
			'parent_area_id'	=> 16,
			'type'				=> 'function',
			'scope'				=> 'frontend',
			'area_name'			=> 'TXT_ACCESS_COMMUNITY_EVENTS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 21,
			'order_id'			=> 0,
			'access_id'			=> 145
		),
		array(
			'area_id'			=> 199,
			'parent_area_id'	=> 16,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CALENDAR_ADMINEVENTS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 21,
			'order_id'			=> 1,
			'access_id'			=> 180
		),
		array(
			'area_id'			=> 200,
			'parent_area_id'	=> 16,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CALENDAR_ADMINCATEGORIES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 21,
			'order_id'			=> 2,
			'access_id'			=> 165
		),
		array(
			'area_id'			=> 201,
			'parent_area_id'	=> 16,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CALENDAR_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 21,
			'order_id'			=> 4,
			'access_id'			=> 181
		),
		array(
			'area_id'			=> 202,
			'parent_area_id'	=> 16,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CALENDAR_ADMINREGISTRATIONS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 21,
			'order_id'			=> 3,
			'access_id'			=> 182
		),
		array(
			'area_id'			=> 31,
			'parent_area_id'	=> 18,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_EDIT_USERINFOS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 31
		),
		array(
			'area_id'			=> 40,
			'parent_area_id'	=> 19,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 40
		),
		array(
			'area_id'			=> 41,
			'parent_area_id'	=> 20,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DBM_MAINTENANCE_TITLE',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 41
		),
		array(
			'area_id'			=> 46,
			'parent_area_id'	=> 21,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_ACTIVATE_SKINS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 46
		),
		array(
			'area_id'			=> 47,
			'parent_area_id'	=> 21,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_EDIT_SKINS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 47
		),
		array(
			'area_id'			=> 92,
			'parent_area_id'	=> 21,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_THEME_IMPORT_EXPORT',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 102
		),
		array(
			'area_id'			=> 48,
			'parent_area_id'	=> 22,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_EDIT_LANGUAGE_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 48
		),
		array(
			'area_id'			=> 49,
			'parent_area_id'	=> 22,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DELETE_LANGUAGES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 49
		),
		array(
			'area_id'			=> 50,
			'parent_area_id'	=> 22,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_LANGUAGE_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 50
		),
		array(
			'area_id'			=> 51,
			'parent_area_id'	=> 23,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_REGISTER_MODULES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 51
		),
		array(
			'area_id'			=> 52,
			'parent_area_id'	=> 23,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_INST_REMO_MODULES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 0,
			'access_id'			=> 52
		),
		array(
			'area_id'			=> 166,
			'parent_area_id'	=> 28,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_VISITOR_DETAILS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=stats&amp;stat=visitors',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 1,
			'access_id'			=> 166
		),
		array(
			'area_id'			=> 164,
			'parent_area_id'	=> 28,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_VISITORS_AND_PAGE_VIEWS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=stats&amp;stat=requests',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 2,
			'access_id'			=> 164
		),
		array(
			'area_id'			=> 167,
			'parent_area_id'	=> 28,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_REFERER',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=stats&amp;stat=referer',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 3,
			'access_id'			=> 167
		),
		array(
			'area_id'			=> 168,
			'parent_area_id'	=> 28,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_SEARCH_ENGINES',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=stats&amp;stat=spiders',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 4,
			'access_id'			=> 168
		),
		array(
			'area_id'			=> 169,
			'parent_area_id'	=> 28,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_SEARCH_TERMS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=stats&amp;stat=search',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 5,
			'access_id'			=> 169
		),
		array(
			'area_id'			=> 170,
			'parent_area_id'	=> 28,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_STATS_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=stats&amp;stat=settings',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 6,
			'access_id'			=> 170
		),
		array(
			'area_id'			=> 172,
			'parent_area_id'	=> 29,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_LISTS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=newsletter&amp;act=lists',
			'target'			=> '_self',
			'module_id'			=> 4,
			'order_id'			=> 2,
			'access_id'			=> 172
		),
		array(
			'area_id'			=> 171,
			'parent_area_id'	=> 29,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_EMAIL_CAMPAIGNS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=newsletter&amp;act=mails',
			'target'			=> '_self',
			'module_id'			=> 4,
			'order_id'			=> 1,
			'access_id'			=> 171
		),
		array(
			'area_id'			=> 174,
			'parent_area_id'	=> 29,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_RECIPIENTS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=newsletter&amp;act=users',
			'target'			=> '_self',
			'module_id'			=> 4,
			'order_id'			=> 4,
			'access_id'			=> 174
		),
		array(
			'area_id'			=> 175,
			'parent_area_id'	=> 29,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_NEWS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=newsletter&amp;act=news',
			'target'			=> '_self',
			'module_id'			=> 4,
			'order_id'			=> 5,
			'access_id'			=> 175
		),
		array(
			'area_id'			=> 176,
			'parent_area_id'	=> 29,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_NEWSLETTER_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=newsletter&amp;act=dispatch',
			'target'			=> '_self',
			'module_id'			=> 4,
			'order_id'			=> 6,
			'access_id'			=> 176
		),
		array(
			'area_id'			=> 145,
			'parent_area_id'	=> 59,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_ADD_FILES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 12,
			'order_id'			=> 0,
			'access_id'			=> 96
		),
		array(
			'area_id'			=> 146,
			'parent_area_id'	=> 59,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MANAGE_FILES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 12,
			'order_id'			=> 1,
			'access_id'			=> 94
		),
		array(
			'area_id'			=> 147,
			'parent_area_id'	=> 59,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_MANAGE_CONFIGURATION',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 12,
			'order_id'			=> 2,
			'access_id'			=> 92
		),
		array(
			'area_id'			=> 148,
			'parent_area_id'	=> 59,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CATEGORY_AND_LEVEL_MANAGEMENT',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 12,
			'order_id'			=> 3,
			'access_id'			=> 97
		),
		array(
			'area_id'			=> 77,
			'parent_area_id'	=> 75,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DELETED_RESTORE',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 1,
			'access_id'			=> 77
		),
		array(
			'area_id'			=> 78,
			'parent_area_id'	=> 75,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_WORKFLOW_VALIDATE',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 0,
			'order_id'			=> 1,
			'access_id'			=> 78
		),
		array(
			'area_id'			=> 91,
			'parent_area_id'	=> 90,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CONTACT_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 6,
			'order_id'			=> 0,
			'access_id'			=> 85
		),
		array(
			'area_id'			=> 149,
			'parent_area_id'	=> 98,
			'type'				=> 'function',
			'scope'				=> 'frontend',
			'area_name'			=> 'TXT_ADD_ADVERTISEMENT',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 33,
			'order_id'			=> 0,
			'access_id'			=> 99
		),
		array(
			'area_id'			=> 150,
			'parent_area_id'	=> 98,
			'type'				=> 'function',
			'scope'				=> 'frontend',
			'area_name'			=> 'TXT_MODIFY_ADVERTISEMENT',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 33,
			'order_id'			=> 1,
			'access_id'			=> 100
		),
		array(
			'area_id'			=> 151,
			'parent_area_id'	=> 98,
			'type'				=> 'function',
			'scope'				=> 'frontend',
			'area_name'			=> 'TXT_DELETE_ADVERTISEMENT',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 33,
			'order_id'			=> 2,
			'access_id'			=> 101
		),
		array(
			'area_id'			=> 107,
			'parent_area_id'	=> 106,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_FORUM_MENU_CATEGORIES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 20,
			'order_id'			=> 1,
			'access_id'			=> 107
		),
		array(
			'area_id'			=> 108,
			'parent_area_id'	=> 106,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_FORUM_MENU_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 20,
			'order_id'			=> 2,
			'access_id'			=> 108
		),
		array(
			'area_id'			=> 120,
			'parent_area_id'	=> 119,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOG_ENTRY_MANAGE_TITLE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=blog&act=manageEntry',
			'target'			=> '_self',
			'module_id'			=> 47,
			'order_id'			=> 1,
			'access_id'			=> 120
		),
		array(
			'area_id'			=> 121,
			'parent_area_id'	=> 119,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOG_ENTRY_ADD_TITLE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=blog&act=addEntry',
			'target'			=> '_self',
			'module_id'			=> 47,
			'order_id'			=> 2,
			'access_id'			=> 121
		),
		array(
			'area_id'			=> 122,
			'parent_area_id'	=> 119,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOG_CATEGORY_MANAGE_TITLE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=blog&act=manageCategory',
			'target'			=> '_self',
			'module_id'			=> 47,
			'order_id'			=> 3,
			'access_id'			=> 122
		),
		array(
			'area_id'			=> 123,
			'parent_area_id'	=> 119,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOG_CATEGORY_ADD_TITLE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=blog&act=addCategory',
			'target'			=> '_self',
			'module_id'			=> 47,
			'order_id'			=> 4,
			'access_id'			=> 123
		),
		array(
			'area_id'			=> 124,
			'parent_area_id'	=> 119,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOG_SETTINGS_TITLE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=blog&act=settings',
			'target'			=> '_self',
			'module_id'			=> 47,
			'order_id'			=> 6,
			'access_id'			=> 124
		),
		array(
			'area_id'			=> 125,
			'parent_area_id'	=> 119,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOG_NETWORKS_TITLE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=blog&act=networks',
			'target'			=> '_self',
			'module_id'			=> 47,
			'order_id'			=> 5,
			'access_id'			=> 125
		),
		array(
			'area_id'			=> 129,
			'parent_area_id'	=> 128,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DATA_ENTRY_MANAGE_TITLE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=data&act=manageEntry',
			'target'			=> '_self',
			'module_id'			=> 48,
			'order_id'			=> 1,
			'access_id'			=> 147
		),
		array(
			'area_id'			=> 133,
			'parent_area_id'	=> 132,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DOWNLOADS_ADMINISTER',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 53,
			'order_id'			=> 1,
			'access_id'			=> 142
		),
		array(
			'area_id'			=> 209,
			'parent_area_id'	=> 132,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DOWNLOADS_ALL_DOWNLOADS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 53,
			'order_id'			=> 2,
			'access_id'			=> 143
		),
		array(
			'area_id'			=> 136,
			'parent_area_id'	=> 135,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_KNOWLEDGE_ACCESS_OVERVIEW',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=knowledge&section=articles',
			'target'			=> '_self',
			'module_id'			=> 56,
			'order_id'			=> 1,
			'access_id'			=> 130
		),
		array(
			'area_id'			=> 137,
			'parent_area_id'	=> 135,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_KNOWLEDGE_ACCESS_EDIT_ARTICLES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 56,
			'order_id'			=> 2,
			'access_id'			=> 131
		),
		array(
			'area_id'			=> 138,
			'parent_area_id'	=> 135,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_KNOWLEDGE_ACCESS_CATEGORIES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 56,
			'order_id'			=> 3,
			'access_id'			=> 132
		),
		array(
			'area_id'			=> 139,
			'parent_area_id'	=> 135,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_KNOWLEDGE_ACCESS_EDIT_CATEGORIES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 56,
			'order_id'			=> 4,
			'access_id'			=> 133
		),
		array(
			'area_id'			=> 140,
			'parent_area_id'	=> 135,
			'type'				=> 'function',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_KNOWLEDGE_ACCESS_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 56,
			'order_id'			=> 5,
			'access_id'			=> 134
		),
		array(
			'area_id'			=> 154,
			'parent_area_id'	=> 153,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MEDIADIR_ADD_ENTRY',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 60,
			'order_id'			=> 0,
			'access_id'			=> 154
		),
		array(
			'area_id'			=> 155,
			'parent_area_id'	=> 153,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MEDIADIR_MODIFY_ENTRY',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 60,
			'order_id'			=> 0,
			'access_id'			=> 155
		),
		array(
			'area_id'			=> 156,
			'parent_area_id'	=> 153,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MEDIADIR_MANAGE_LEVELS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 60,
			'order_id'			=> 0,
			'access_id'			=> 156
		),
		array(
			'area_id'			=> 157,
			'parent_area_id'	=> 153,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MEDIADIR_MANAGE_CATEGORIES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 60,
			'order_id'			=> 0,
			'access_id'			=> 157
		),
		array(
			'area_id'			=> 158,
			'parent_area_id'	=> 153,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MEDIADIR_INTERFACES',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 60,
			'order_id'			=> 0,
			'access_id'			=> 158
		),
		array(
			'area_id'			=> 160,
			'parent_area_id'	=> 153,
			'type'				=> 'function',
			'scope'				=> 'global',
			'area_name'			=> 'TXT_MEDIADIR_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> '',
			'target'			=> '_self',
			'module_id'			=> 60,
			'order_id'			=> 0,
			'access_id'			=> 159
		),
		array(
			'area_id'			=> 185,
			'parent_area_id'	=> 184,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_DASHBOARD',
			'is_active'			=> 1,
			'uri'				=> 'index.php',
			'target'			=> '_self',
			'module_id'			=> 1,
			'order_id'			=> 1,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 186,
			'parent_area_id'	=> 184,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_FRONTEND',
			'is_active'			=> 1,
			'uri'				=> '../index.php',
			'target'			=> '_blank',
			'module_id'			=> 1,
			'order_id'			=> 2,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 191,
			'parent_area_id'	=> 189,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CRM_CUSTOMERS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=crm&amp;act=customers',
			'target'			=> '_self',
			'module_id'			=> 69,
			'order_id'			=> 1,
			'access_id'			=> 556
		),
		array(
			'area_id'			=> 192,
			'parent_area_id'	=> 189,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CRM_TASKS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=crm&amp;act=task',
			'target'			=> '_self',
			'module_id'			=> 69,
			'order_id'			=> 3,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 193,
			'parent_area_id'	=> 189,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CRM_OPPORTUNITY',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=crm&amp;act=deals',
			'target'			=> '_self',
			'module_id'			=> 69,
			'order_id'			=> 4,
			'access_id'			=> 0
		),
		array(
			'area_id'			=> 195,
			'parent_area_id'	=> 189,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CRM_SETTINGS',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=crm&amp;act=settings',
			'target'			=> '_self',
			'module_id'			=> 69,
			'order_id'			=> 6,
			'access_id'			=> 557
		),
		array(
			'area_id'			=> 208,
			'parent_area_id'	=> 189,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_USER_ADMINISTRATION',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=access',
			'target'			=> '_self',
			'module_id'			=> 69,
			'order_id'			=> 7,
			'access_id'			=> 18
		),
		array(
			'area_id'			=> 10,
			'parent_area_id'	=> 203,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_CORE_MODULE_NEWS_MANAGER',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=news',
			'target'			=> '_self',
			'module_id'			=> 8,
			'order_id'			=> 1,
			'access_id'			=> 10
		),
		array(
			'area_id'			=> 119,
			'parent_area_id'	=> 203,
			'type'				=> 'navigation',
			'scope'				=> 'backend',
			'area_name'			=> 'TXT_BLOG_MODULE',
			'is_active'			=> 1,
			'uri'				=> 'index.php?cmd=blog',
			'target'			=> '_self',
			'module_id'			=> 47,
			'order_id'			=> 2,
			'access_id'			=> 119
		)
	);

	$objDatabase->Execute("TRUNCATE TABLE ".DBPREFIX."backend_areas");

	// add backend areas
	foreach ($arrBackendAreas as $arrBackendArea) {
		$query = "INSERT INTO ".DBPREFIX."backend_areas (`area_id`, `parent_area_id` , `type` , `scope`, `area_name` , `is_active` , `uri` , `target` , `module_id` , `order_id` , `access_id`
			) VALUES (
			".$arrBackendArea['area_id'].", '".$arrBackendArea['parent_area_id']."', '".$arrBackendArea['type']."', '".$arrBackendArea['scope']."', '".$arrBackendArea['area_name']."', '".$arrBackendArea['is_active']."', '".$arrBackendArea['uri']."', '".$arrBackendArea['target']."', '".$arrBackendArea['module_id']."', '".$arrBackendArea['order_id']."', '".$arrBackendArea['access_id']."')";
		if ($objDatabase->Execute($query) === false) {
			return _databaseError($query, $objDatabase->ErrorMsg());
		}
	}

    // add permission to stats settings if the user had permission to stats
    if ($objUpdate->_isNewerVersion($_CONFIG['coreCmsVersion'], '3.1.0')) {
        try {
            $result = \Cx\Lib\UpdateUtil::sql("SELECT `group_id` FROM `" . DBPREFIX . "access_group_static_ids` WHERE access_id = 163 GROUP BY `group_id`");
            if ($result !== false) {
                while (!$result->EOF) {
                    \Cx\Lib\UpdateUtil::sql("INSERT IGNORE INTO `" . DBPREFIX . "access_group_static_ids` (`access_id`, `group_id`)
                                                VALUES (170, " . intval($result->fields['group_id']) . ")");
                    $result->MoveNext();
                }
            }
        } catch (\Cx\Lib\UpdateException $e) {
            return \Cx\Lib\UpdateUtil::DefaultActionHandler($e);
        }
    }






	/***************************************************
	* BUGFIX:	Clean up duplicate usage of access ids *
	***************************************************/
	if ($objUpdate->_isNewerVersion($_CONFIG['coreCmsVersion'], '2.0.2')) {
        $arrAccessIds = array(
            116 => 145,
            122 => 146,
            123 => 147,
            140 => 148,
            141 => 149
        );
        $query = 'SELECT `group_id`, `access_id` FROM `'.DBPREFIX.'access_group_static_ids` WHERE `access_id` IN ('.implode(',', array_keys($arrAccessIds)).')';
        $objResult = $objDatabase->Execute($query);
        if ($objResult) {
            while (!$objResult->EOF) {
                $query = 'INSERT IGNORE INTO `'.DBPREFIX.'access_group_static_ids` (`access_id`, `group_id`) VALUES ('.$arrAccessIds[$objResult->fields['access_id']].', '.$objResult->fields['group_id'].')';
                if ($objDatabase->Execute($query) === false) {
                    return _databaseError($query, $objDatabase->ErrorMsg());
                }
                $objResult->MoveNext();
            }
        } else {
            return _databaseError($query, $objDatabase->ErrorMsg());
        }
    }

    return true;
}
?>
